# Roles Object

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/roles/

Schema for the `Roles` resource in **Unified User Directory API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a role
- **`name`** _(string)_
  The name of the role
- **`label`** _(string)_
  The display label of the role
- **`description`** _(string)_
  The description of the role
- **`type`** _(string)_
  The type of the role
- **`applicable_in`** _(string)_
  The context in which the role is applicable
  Allowed: `group`, `workspace`
- **`created_at`** _(string)_
  The date and time the role was created
- **`updated_at`** _(string)_
  The date and time the role was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/user-directory/roles](/docs/api-reference/unified-user-directory-api/roles/list) — List Roles
- [POST /unified/user-directory/roles](/docs/api-reference/unified-user-directory-api/roles/create) — Create Roles
- [GET /unified/user-directory/roles/{id}](/docs/api-reference/unified-user-directory-api/roles/get) — Get Roles
- [PATCH /unified/user-directory/roles/{id}](/docs/api-reference/unified-user-directory-api/roles/update) — Update Roles
- [DELETE /unified/user-directory/roles/{id}](/docs/api-reference/unified-user-directory-api/roles/delete) — Delete Roles
